# do not edit -- automatically generated by arch changelog
# tag: automatic-ChangeLog--angles@aminvestments.com--2002/anglemail--lex--1.1
#

2002-10-17 GMT	Angles Puglisi <angles@aminvestments.com>	patch-22

    Summary:
      commit to lex "anglemail-1.1-pre5-03-lex4" from 021014
    Revision:
      anglemail--lex--1.1--patch-22

    commit to lex "anglemail-1.1-pre5-03-lex4" from 021014
    

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.core--1.1 ChangeLog.lex--1.1
     ChangeLog.ryan--1.1 inc/class.uijsaddressbook.inc.php
     templates/default/addressbook-js.tpl


2002-10-15 GMT	Angles Puglisi <angles@aminvestments.com>	patch-21

    Summary:
      commit "pre5-03-lex1" to lex, documentation for lex code
    Revision:
      anglemail--lex--1.1--patch-21

    commit "pre5-03-lex1" to lex, documentation for lex code, lex says:
    
    EVERYTHING IS NOW DOCUMENTED.....
    both jsaddressbook classes, the frameset and addressbook-js templates and the
    selectboxes class
    

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.core--1.1 ChangeLog.lex--1.1
     ChangeLog.ryan--1.1 inc/class.bojsaddressbook.inc.php
     inc/class.uijsaddressbook.inc.php inc/selectboxes.js
     templates/default/addressbook-js-frameset.tpl
     templates/default/addressbook-js.tpl


2002-10-15 GMT	Angles Puglisi <angles@aminvestments.com>	patch-20

    Summary:
      021014 reverse update trick, make lex = ryan where ryan has latest code
    Revision:
      anglemail--lex--1.1--patch-20

    Currently Ryan branch has latest code, and ryan and lex have been manually 
    merging recently. Previously there was the big star merge into the ryan branch 
    that started this unified period where ryan had latest changes from both lex 
    and ryan, who were using the same code base and manual merging.
    
    Now time to make lex branch equal the ryan branch, where ryan has the latset code. 
    However these commands failed for "lex has no patch logs for ryan" error:
    
    > larch star-merge anglemail--lex--1.1 anglemail--ryan--1.1 ./anglemail-lex ./anglemail-lexstar
    > larch replay ./anglemail-lex ./anglemail-lexreplayed anglemail--ryan--1.1
    
    Key was to do this "reverse update" trick whick will equalize the branches and 
    also make them both fully patchlog aware of each other.
    
    Procedure: update merge FROM lex INTO ryan, yes this is opposite, but 
    then you commit the result AS lex, equalizing the trees and spreading 
    the patchlogs. I updated to a temp location and copied anything not in 
    the lex branch into the lex branch from said temp dir.
    
    > larch update ./anglemail-ryan ./anglemail-ryanupdated anglemail--lex--1.1
    > ** tree already up-to-date (use --force if necessary)
    Somewhat misleading, but says ryan already has latest code, so:
    > larch update --force ./anglemail-ryan ./anglemail-ryanupdated anglemail--lex--1.1
    > diff -qr ./anglemail-ryanupdated ./anglemail-lex
    
    Use that diff to make the copy commands, some dirs need to be copied, some 
    stuff is not appropriate to copy, such as files like "++default-version", but 
    most stuff gets copied to lex. Walter had said to directly commit the result 
    as lex, but I copied to lex, leaving what was already in lex to hopefully 
    preserve the development history of the branch, if possible.
    

    new files:
     ChangeLog.core--1.1 ChangeLog.ryan--1.1 {arch}/=tagging-method
     {arch}/anglemail/anglemail--core/anglemail--core--1.1/angles@aminvestments.com--2002/patch-log/patch-1
     {arch}/anglemail/anglemail--core/anglemail--core--1.1/angles@aminvestments.com--2002/patch-log/patch-2
     {arch}/anglemail/anglemail--core/anglemail--core--1.1/angles@aminvestments.com--2002/patch-log/patch-3
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/base-0
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/patch-1
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/patch-2
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/patch-3
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/patch-4
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/patch-5
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/patch-6
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/patch-7
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/patch-8
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log/patch-9

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1
     inc/class.bocompose.inc.php inc/class.boindex.inc.php
     inc/class.bopreferences.inc.php inc/class.html_widgets.inc.php
     inc/class.mail_msg_display.inc.php inc/class.uicompose.inc.php
     inc/class.uiindex.inc.php inc/class.uijsaddressbook.inc.php
     inc/class.uipreferences.inc.php inc/hook_home.inc.php
     inc/selectboxes.js
     templates/default/addressbook-js-frameset.tpl
     templates/default/addressbook-js.tpl
     templates/default/compose.tpl
     templates/default/index_main_b0_l2.tpl

    new directories:
     {arch}/anglemail/anglemail--ryan
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002
     {arch}/anglemail/anglemail--ryan/anglemail--ryan--1.1/angles@aminvestments.com--2002/patch-log

    new patches:
     angles@aminvestments.com--2002/anglemail--core--1.1--patch-1
     angles@aminvestments.com--2002/anglemail--core--1.1--patch-2
     angles@aminvestments.com--2002/anglemail--core--1.1--patch-3
     angles@aminvestments.com--2002/anglemail--ryan--1.1--base-0
     angles@aminvestments.com--2002/anglemail--ryan--1.1--patch-1
     angles@aminvestments.com--2002/anglemail--ryan--1.1--patch-2
     angles@aminvestments.com--2002/anglemail--ryan--1.1--patch-3
     angles@aminvestments.com--2002/anglemail--ryan--1.1--patch-4
     angles@aminvestments.com--2002/anglemail--ryan--1.1--patch-5
     angles@aminvestments.com--2002/anglemail--ryan--1.1--patch-6
     angles@aminvestments.com--2002/anglemail--ryan--1.1--patch-7
     angles@aminvestments.com--2002/anglemail--ryan--1.1--patch-8
     angles@aminvestments.com--2002/anglemail--ryan--1.1--patch-9


2002-10-10 GMT	Angles Puglisi <angles@aminvestments.com>	patch-19

    Summary:
      merge "pre4-12lex-edge6" into lex branch on 021010
    Revision:
      anglemail--lex--1.1--patch-19

    merge "pre4-12lex-edge6" into lex branch 021010. Merging edge6 from 
    a previous patch-11 into current lex at patch-18. Used xemacs 
    ediff where necessary.
    

    removed files:
     brother1.html brother2.html data1.html frameset.html

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1
     addressbook-js.changelog.txt inc/class.bocompose.inc.php
     inc/class.bojsaddressbook.inc.php
     inc/class.bopreferences.inc.php
     inc/class.ui_mail_debug.inc.php
     inc/class.uijsaddressbook.inc.php inc/selectboxes.js
     templates/default/addressbook-js-bits.tpl
     templates/default/addressbook-js-frameset.tpl
     templates/default/addressbook-js.tpl
     templates/default/compose.tpl


2002-10-10 GMT	Angles Puglisi <angles@aminvestments.com>	patch-18

    Summary:
      star merge make lex and codehere the same 021010a
    Revision:
      anglemail--lex--1.1--patch-18

    star merge make lex and codehere the same 021010a
    
    This is before lex bzball 021010-anglemail-1.1-pre4-12lex-edge6.tar.bz2
    Make a more discrete diff.
    

    new files:
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-52
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-53

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1
     inc/class.bocompose.inc.php inc/class.boindex.inc.php
     inc/class.bomessage.inc.php inc/class.mail_dcom_base.inc.php
     inc/class.mail_msg_base.inc.php
     inc/class.mail_msg_display.inc.php
     inc/class.ui_mail_debug.inc.php inc/class.uimessage.inc.php

    new patches:
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-52
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-53


2002-10-08 GMT	Angles Puglisi <angles@aminvestments.com>	patch-17

    Summary:
      commit "pre4-12lex-edge3" to lex
    Revision:
      anglemail--lex--1.1--patch-17

    commit "pre4-12lex-edge3" to lex, immediate bugfix release 
    to "pre4-12lex-edge2", so used "edge3" instead
    
    Lex says for "pre4-12lex-edge2":
    
    Yet another release from the edge of sannity.....
    
    Its cool, this thing got nailed (tx a lot for the tips dave)..... but i
    need better ideas for the event handling in js.... although right now
    its working pretty nice...
    
    This addressbook remembers everything.... it remembers what you selected
    into the destboxes, it remembers your category so you can do full query
    searches from the search box within a category (for large categories
    this is pretty cool), it remembers your last name and the date you
    graduated (you guessed it, your breakfast too)... it is, as is a
    tradition for anglesmail...."extreme cached" (though it caches it in its
    own sessions)....
    
    Have tons and tons of fun with it... please check it out...
    
    Lex says for "pre4-12lex-edge3":
    
    Bugfix release....
    
    One more thing....
    
    There are some files extra in the edge releases really not needed for
    it.... they are proof of concept of the event mechanism dave told me
    about in javascript...
    
    U guys should look into it if u like javascript (i dont...okay
    whatever).... but maybe look into it and see if it has the potential i
    think.... they are frameset.html, brother1.html,brother2.html and
    data.html .... look at that, then look at the template file and at the
    ui class....youll see what i mean...
    

    new files:
     brother1.html brother2.html data1.html frameset.html

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1
     inc/class.bojsaddressbook.inc.php
     inc/class.uijsaddressbook.inc.php inc/selectboxes.js
     templates/default/addressbook-js-frameset.tpl
     templates/default/addressbook-js.tpl


2002-10-08 GMT	Angles Puglisi <angles@aminvestments.com>	patch-16

    Summary:
      commit "pre4-12lex-edge", adressbook now bo and ui, small cache change
    Revision:
      anglemail--lex--1.1--patch-16

    Commit "pre4-12lex-edge", adressbook now bo and ui, small cache change.
    
    Lex says:
    
    Well... this is the incredichange supersonicall.....
    
    Addressbook is now ui/bo classes, extremely undocumented (Angles is
    gonna shoot me) and somehow cludgy.... But it works (more or less)...
    
    Also, implemented some very strange javascript techniques which involve
    hidden frames to implement asyncronicall events... im still learning how
    to do it right so... well, neways, thats dave's fault....
    

    new files:
     inc/class.bojsaddressbook.inc.php
     inc/class.uijsaddressbook.inc.php
     templates/default/addressbook-js-frameset.tpl

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1 addressbook-js.php
     inc/class.boaction.inc.php inc/class.bocompose.inc.php
     inc/class.mail_msg_base.inc.php inc/selectboxes.js
     templates/default/addressbook-js-bits.tpl
     templates/default/addressbook-js.tpl


2002-10-06 GMT	Angles Puglisi <angles@aminvestments.com>	patch-15

    Summary:
      restore lex patchlogs 0 to 5 from backup location
    Revision:
      anglemail--lex--1.1--patch-15

    restore lex patchlogs 0 to 5 from backup location. These are 
    files patch-5, patch-4, patch-3, patch-2, patch-1, and base-0.
    Got them from the revision library for patch-6, it still 
    had the others.
    
    This should stop arch complaining this branch is missing 
    patchlogs. I think I lost them in the make-sync-tree command, 
    (when I should have probably used some star merges instead).
    

    new files:
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/base-0
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-1
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-2
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-3
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-4
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-5

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1

    new patches:
     angles@aminvestments.com--2002/anglemail--lex--1.1--base-0
     angles@aminvestments.com--2002/anglemail--lex--1.1--patch-1
     angles@aminvestments.com--2002/anglemail--lex--1.1--patch-2
     angles@aminvestments.com--2002/anglemail--lex--1.1--patch-3
     angles@aminvestments.com--2002/anglemail--lex--1.1--patch-4
     angles@aminvestments.com--2002/anglemail--lex--1.1--patch-5


2002-10-06 GMT	Angles Puglisi <angles@aminvestments.com>	patch-14

    Summary:
      commit anglemail-1.1-pre4-12lex to lex branch 021003
    Revision:
      anglemail--lex--1.1--patch-14

    Commit anglemail-1.1-pre4-12lex to lex branch EXCEPT the 
    one line that hard codes "extreme_caching" to false.
    
    Changes include an importand caching bug fix for msgball list 
    where a folder other that inbox is had a message removed by 
    another MUA accessing the same account. I hope I described 
    that correctly. I'm not online so can not get lex's comments.
    
    Other changes for addressbook code.
    

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1 addressbook-js.php
     inc/class.mail_msg_base.inc.php inc/selectboxes.js
     templates/default/addressbook-js.tpl


2002-10-04 GMT	Angles Puglisi <angles@aminvestments.com>	patch-13

    Summary:
      star merge makes lex same as codehere
    Revision:
      anglemail--lex--1.1--patch-13

    command used:
    > larch star-merge --in-place anglemail--codehere--1.1 anglemail--lex--1.1 ./anglemail-lex
    
    Now lex is same as codehere, lex is ready for some more custom coding.
    
    The arch command "log-for-merge" produces a HUGE output which seemed to list ALL 
    patches every applied to codehere, so refer to codehere full patchlog for that 
    data, no need to reiterate it here.
    
    OOPS: commit initially failed on this error. Seems the previous make-sync-tree 
    wiped out lex's unique change history, as those changes went into codehere.
    
    commit: project tree out of date
      Working directory is missing these patches:
            base-0
            patch-1
            patch-2
            patch-3
            patch-4
            patch-5
      Unable to complete "commit".
    Try "larch update --help" or "larch commit --out-of-date-ok"
    

    new files:
     inc/class.uiattach_file.inc.php
     templates/default/images/evo-add-attachment-16.gif
     templates/default/images/evo-add-attachment-24.gif
     templates/default/images/evo-address-conduit-24.gif
     templates/default/images/evo-send-16.gif
     templates/default/images/evo-spellcheck-16.gif
     templates/default/images/evo-spellcheck-24.gif
     templates/default/images/evo-trash-16.gif
     templates/default/images/evo-trash-24.gif
     templates/default/images/moz-add-attachment-16.gif
     templates/default/images/moz-add-attachment-24.gif
     templates/default/images/moz-address-conduit-24.gif
     templates/default/images/moz-send-16.gif
     templates/default/images/moz-send-24.gif
     templates/default/images/moz-spellcheck-16.gif
     templates/default/images/moz-spellcheck-24.gif
     templates/default/images/moz-trash-16.gif
     templates/default/images/moz-trash-24.gif
     templates/idsociety/images/evo-add-attachment-16.gif
     templates/idsociety/images/evo-add-attachment-24.gif
     templates/idsociety/images/evo-address-conduit-24.gif
     templates/idsociety/images/evo-send-16.gif
     templates/idsociety/images/evo-spellcheck-16.gif
     templates/idsociety/images/evo-spellcheck-24.gif
     templates/idsociety/images/evo-trash-16.gif
     templates/idsociety/images/evo-trash-24.gif
     templates/idsociety/images/moz-add-attachment-16.gif
     templates/idsociety/images/moz-add-attachment-24.gif
     templates/idsociety/images/moz-address-conduit-24.gif
     templates/idsociety/images/moz-send-16.gif
     templates/idsociety/images/moz-send-24.gif
     templates/idsociety/images/moz-spellcheck-16.gif
     templates/idsociety/images/moz-spellcheck-24.gif
     templates/idsociety/images/moz-trash-16.gif
     templates/idsociety/images/moz-trash-24.gif
     {arch}/anglemail/anglemail--brubaker/anglemail--brubaker--1.1/angles@aminvestments.com--2002/patch-log/patch-1
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-43
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-44
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-45
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-46
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-47
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-48
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-49
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-50
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-51

    removed files:
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/base-0
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-1
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-2
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-3
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-4
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log/patch-5

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1
     inc/class.boattach_file.inc.php inc/class.bocompose.inc.php
     inc/class.bofolder.inc.php inc/class.boindex.inc.php
     inc/class.html_widgets.inc.php
     inc/class.mail_dcom_base_sock.inc.php
     inc/class.mail_dcom_imap_sock.inc.php
     inc/class.mail_dcom_pop3_sock.inc.php
     inc/class.mail_msg_base.inc.php inc/class.uicompose.inc.php
     inc/class.uifolder.inc.php inc/class.uiindex.inc.php
     templates/default/compose.tpl templates/default/folder.tpl
     templates/default/index_main_b0_l1.tpl
     templates/default/index_main_b0_l2.tpl
     templates/default/widget_toolbar.tpl

    new directories:
     {arch}/anglemail/anglemail--brubaker
     {arch}/anglemail/anglemail--brubaker/anglemail--brubaker--1.1
     {arch}/anglemail/anglemail--brubaker/anglemail--brubaker--1.1/angles@aminvestments.com--2002
     {arch}/anglemail/anglemail--brubaker/anglemail--brubaker--1.1/angles@aminvestments.com--2002/patch-log

    new patches:
     angles@aminvestments.com--2002/anglemail--brubaker--1.1--patch-1
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-43
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-44
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-45
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-46
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-47
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-48
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-49
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-50
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-51


2002-10-04 GMT	Angles Puglisi <angles@aminvestments.com>	patch-12

    Summary:
      this is a test commit of nothing changed maybe fixes mrege rej files
    Revision:
      anglemail--lex--1.1--patch-12

    this is a test commit of nothing changed maybe fixes mrege rej files. Trying to 
    update merge from codehere into lex produces rej files when it should not. Perhaps 
    this commit of nothing will at least give a clean patch level for merging into. 
    
    Complete test, not sure.
    

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1


2002-09-26 GMT	Angles Puglisi <angles@aminvestments.com>	patch-11

    Summary:
      merge from lex "pre4-011lex-1.tar.bz2"
    Revision:
      anglemail--lex--1.1--patch-11

    Change comments:
    
    fixes a bug that made u guys unable to get the most of your javascript
    goodies out of the addressbook. I was using a static link to call the
    selectboxes.js file into the template so hum....that was stupid.....now
    i use phpgw->link
    

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1 addressbook-js.php


2002-09-26 GMT	Angles Puglisi <angles@aminvestments.com>	patch-10

    Summary:
      merge from lex "pre4-10lex.tar.gz"
    Revision:
      anglemail--lex--1.1--patch-10

    Lex's comments on these changes:
    
    Several changes for this new addressbook, changes listed in
    corresponding changelog transcript follows:
    
    Monday 23 of september
    - Lots of caching gets performed so that we dont go and fetch the whole
    thing everytime we click on a name.
    - Bug that made the boxes forget what was in them if u clicked on the
    more-data button
    - Created preferences for your screensize which controls both the size
    of the window that gets poped up and the fonts of
      the html widgets withing them.
    - Your addressbook choice is now a preference
    
    TODO:
    - Keep cleaning and documenting
    - It would be nice if the destination boxes content didnt die when u hit
    a category, sometimes u want to send mail to different categories
    - Search button still not working...pretty stupid
    

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1
     addressbook-js.changelog.txt addressbook-js.php
     inc/class.bocompose.inc.php inc/class.bopreferences.inc.php
     inc/class.mail_msg_base.inc.php inc/class.uicompose.inc.php
     templates/default/addressbook-js.tpl
     templates/default/compose.tpl


2002-09-26 GMT	Angles Puglisi <angles@aminvestments.com>	patch-9

    Summary:
      merge from lex "pre4-09lex.tar.bz2"
    Revision:
      anglemail--lex--1.1--patch-9

    Comments from lex about these changes:
    
    This tarball works and has ALL the changes I posted last night:
    
    1.- Forward as inline preference
    2.- Deletion of the first message from the message view takes you
    forward one message instead of back to the index page
    3.- Addressbook changes as stated in addressbook-js.changelog.txt
    4.- One more change, i added some css in the addressbook to make the
    fonts in the boxes smaller. This has to primarily run in 800x600
    boxes... i will make a preference so that this css is a parameter so u
    can choose how big or small the whole thing will come out (three options
    800x600/1024x768/1600x1200). For now, u can just go and change the font
    definitions in the addressbook-js.tpl file (change x-small for small,
    nothing, large, x-large...whatever)
    

    new files:
     ChangeLog.lex--1.1
     templates/default/addressbook-js-smaller.tpl

    modified files:
     ChangeLog.codehere--1.1 addressbook-js.changelog.txt
     inc/class.boaction.inc.php inc/class.mail_msg_base.inc.php
     inc/selectboxes.js templates/default/addressbook-js-bits.tpl
     templates/default/addressbook-js.tpl
     templates/default/compose.tpl


2002-09-23 GMT	Angles Puglisi <angles@aminvestments.com>	patch-8

    Summary:
      oops, put file perms back to 0644 for two files
    Revision:
      anglemail--lex--1.1--patch-8

    oops, put file perms back to 0644 for two files, I copied 
    the files but did not adjust their perms to match the files 
    they were overwriting.
    

    modified files:
     ChangeLog.codehere--1.1 inc/class.bocompose.inc.php
     inc/class.bopreferences.inc.php


2002-09-23 GMT	Angles Puglisi <angles@aminvestments.com>	patch-7

    Summary:
      three changes from lex, 020922
    Revision:
      anglemail--lex--1.1--patch-7

    three changes from lex, 020922. These are his general 
    remarks about the changes:
    
    1) i enclosed the changed files for the new addressbook-js stuff...
    feature additions are in the addressbook-js.changelog.txt file.
    NOTE TO ANGLES: Tony, please remove the addressbook.chnglog.txt file as
    ive renamed it addressbook-js.changelog.txt. I enclosed just the changed
    files cause ive been moving stuff arround and i wouldnt want to give u a
    dirty patch.
    
    2) This are the changes for a very lame (i think) forward as inline
    preference and its application....i think its a hack:
    1.- Hacked class.bopreferences to add a fwd_as_inline preference 
    2.- Separated the body quoting part from the reply-replyto actions in
    class.bocompose to a separate function
    quote_as_inline_attachment($body,$msgball)
    This function gets called from the forward action in boaction compose
    function.
    Im seeing two different forward composition methods are already
    contemplated (encapsulated and pushdown). I dont know what that means
    but it looks like its what im looking for.
    
    3) i made a little change to the addybook link in compose.tpl  so
    that the toolbar gets suppressed.
    

    new files:
     addressbook-js.changelog.txt

    removed files:
     addressbook-chnagelog.txt

    modified files:
     ChangeLog.codehere--1.1 addressbook-js.php
     inc/class.bocompose.inc.php inc/class.bopreferences.inc.php
     templates/default/addressbook-js-bits.tpl
     templates/default/addressbook-js.tpl
     templates/default/compose.tpl


2002-09-23 GMT	Angles Puglisi <angles@aminvestments.com>	patch-6

    Summary:
      make-sync-tree so lex branch is identical to codehere branch now
    Revision:
      anglemail--lex--1.1--patch-6

    make-sync-tree so lex branch is identical to codehere branch now. Had to manual 
    merge in lex addressbook to the codehere branch, so this is to sync the 
    branches as they should have identical code at this moment.
    

    new files:
     templates/default/addressbook-real-plain.tpl-UNUSED
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-36
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-42

    removed files:
     ChangeLog.lex--1.1

    modified files:
     ChangeLog.codehere--1.1 addressbook-js.php
     inc/class.bocompose.inc.php templates/default/addressbook.tpl

    new patches:
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-36
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-42


2002-09-19 GMT	Angles Puglisi <angles@aminvestments.com>	patch-5

    Summary:
      merge lex chnanges that should unify the branch
    Revision:
      anglemail--lex--1.1--patch-5

    Merge lex chnanges that should unify the branch. 
    

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1 addressbook-js.php
     addressbook.php inc/class.bocompose.inc.php


2002-09-18 GMT	Angles Puglisi <angles@aminvestments.com>	patch-4

    Summary:
      update merge anglemail-codehere latest changes into anglemail-lex branch
    Revision:
      anglemail--lex--1.1--patch-4

    Update merge anglemail-codehere latest changes into anglemail-lex branch. So 
    the lex branch still has seperate addressbook code ONLY, and also has any 
    latest changes that were made in the anglemail-codehere tree.
    
    The following was produced by arch command "log-for-merge"
    
    Patches applied:
    
      * angles@aminvestments.com--2002/anglemail--beta1final--1.0--base-0
         import AngleMail beta1 final into new ARCH setup
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-41
         fix object call redirects, attach_file is now class.boattach_files.attach
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-40
         fix the fix to the FILES data in attach_file.php
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-39
         fix FILES upload vars and 0k file size, and properly redirect and kill script after sending mail
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-38
         base64 encode 57 bytes at a time, and clear lines after sending
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-34
         better RH login "recovering" message, and always try that recovery
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-33
         update email lang files from Savannah CVS sources
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-32
         fix decode rfc2047 encoded attachment name MIME headers with download
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-31
         feature additions from Alex Borges
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-30
         patch to hook_notifywindow, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-29
         added debugging output to utf7 en/decode, verified working as per RFC
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-28
         patch to attach_file to show file size, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-27
         validate UWash namespace does not contain "bad" stuff
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-26
         fix mail svc_nextmatches to work with the redirect replacement
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-25
         made generalized make new env functions in boaction for public use
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-24
         expande no-redirect, handle curley braces, increase big threshhold to 95
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-23
         post-multi-delete redirect replaced with a direct object call
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-22
         add docs, fix comment in index tpl file
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-21
         added docs for move, delete, and expunge functions. DOCS ONLY.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-20
         fix append to sent items folder
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-19
         migrate to "industrial_interacct_mail_move", track what needs expunging, only expunge when done
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-18
         bugfixs for extreme caching being on or off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-17
         wrap all new "extreme" caching in conditionals so it can be turned off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-16
         add function to clear all "extreme" cache items, and not be "extreme" for big moves
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-15
         fix moves, deleted, and expunging in extreme caching mode
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-14
         first try at no logins unless absolutely necessary
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-13
         folder stats now cached and assumed valid for X time, events keep it current
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-12
         implement "extreme" cache management with option in not using it
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-11
         Skeleton code for recycling on msgball_list cache
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-10
         First code for "events" triggers used to alter cached data.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-9
         added docs for caching
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-8
         fix non-contiguous Received filter b0rk, decode rfc headers can handle multiline now
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-7
         expire single "phpgw_header" element for unseen message we are going to view
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-6
         Added phpgw_header data to appsession cache
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-5
         sleep 1 sec in end_request, phpgw_fetchstructure data now cached in appsession
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-4
         better detection of "bad" attachments, make compose box 78 chars wide
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-40
         fix the fix to the FILES data in attach_file.php
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-41
         fix object call redirects, attach_file is now class.boattach_files.attach
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-3
         Addressbook fix by dave.hall@mbox.com.au, more work on IMAP sockets class
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-30
         patch to hook_notifywindow, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-31
         feature additions from Alex Borges
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-32
         fix decode rfc2047 encoded attachment name MIME headers with download
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-33
         update email lang files from Savannah CVS sources
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-34
         better RH login "recovering" message, and always try that recovery
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-35
         prep_folder_in checks for UWash foldername of "bare slash"
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-37
         fix for php v4.2 and greater Superglobals issue
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-38
         base64 encode 57 bytes at a time, and clear lines after sending
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-39
         fix FILES upload vars and 0k file size, and properly redirect and kill script after sending mail
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-2
         fix view as html as reference, give basic warnings for nefarious parts
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-20
         fix append to sent items folder
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-21
         added docs for move, delete, and expunge functions. DOCS ONLY.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-22
         add docs, fix comment in index tpl file
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-23
         post-multi-delete redirect replaced with a direct object call
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-24
         expande no-redirect, handle curley braces, increase big threshhold to 95
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-25
         made generalized make new env functions in boaction for public use
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-26
         fix mail svc_nextmatches to work with the redirect replacement
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-27
         validate UWash namespace does not contain "bad" stuff
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-28
         patch to attach_file to show file size, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-29
         added debugging output to utf7 en/decode, verified working as per RFC
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-1
         first commit to codehere, add docs and alias decode headers to a better function
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-10
         First code for "events" triggers used to alter cached data.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-11
         Skeleton code for recycling on msgball_list cache
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-12
         implement "extreme" cache management with option in not using it
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-13
         folder stats now cached and assumed valid for X time, events keep it current
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-14
         first try at no logins unless absolutely necessary
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-15
         fix moves, deleted, and expunging in extreme caching mode
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-16
         add function to clear all "extreme" cache items, and not be "extreme" for big moves
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-17
         wrap all new "extreme" caching in conditionals so it can be turned off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-18
         bugfixs for extreme caching being on or off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-19
         migrate to "industrial_interacct_mail_move", track what needs expunging, only expunge when done
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--base-0
         first tree FROM anglemail core 1.1 FOR coding new stuff, merge back when ready
    
      * angles@aminvestments.com--2002/anglemail--core--1.1--base-0
         first tree for anglemail version 1.1, this is the core, base branch for 1.1
    

    new files:
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-38
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-39
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-40
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-41

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1 attach_file.php
     inc/class.boaction.inc.php inc/class.boattach_file.inc.php
     inc/class.bocompose.inc.php inc/class.bosend.inc.php
     inc/class.mail_dcom_base_sock.inc.php
     inc/class.mail_dcom_pop3_sock.inc.php
     inc/class.mail_msg_base.inc.php inc/class.mail_send.inc.php
     inc/class.uicompose.inc.php index.php

    new patches:
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-38
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-39
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-40
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-41


2002-09-14 GMT	Angles Puglisi <angles@aminvestments.com>	patch-3

    Summary:
      merge in superglobals GPC fix from branch "codehere" into "lex"
    Revision:
      anglemail--lex--1.1--patch-3

    Merge in superglobals GPC fix from branch "codehere" into "lex". This was 
    an "exact replay" merge where ONLY patch 37 of anglemail--codehere--1.1 
    was applied to anglemail--lex--1.1 since the lex branch at this time 
    has addressbook code that is different than the "codehere" branch.
    
    This is the fix for the "superglobals" GPC issue with PHP versions 
    of 4.2 and greater. The patch for this was committed to "codehere" 
    branch seperate from other stuff, so there were no conflicts.
    
    The following was generated by larch "log-for-merge" command.
    Do recall that for this particular merge, only patch 37 from 
    the "codehere" branch was applied to "lex" branch, although the 
    following output reflects the entire patch history of the "lex" branch 
    since well before it was even the "lex" branch.
    
    Patches applied:
    
      * angles@aminvestments.com--2002/anglemail--beta1final--1.0--base-0
         import AngleMail beta1 final into new ARCH setup
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-37
         fix for php v4.2 and greater Superglobals issue
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-34
         better RH login "recovering" message, and always try that recovery
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-33
         update email lang files from Savannah CVS sources
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-32
         fix decode rfc2047 encoded attachment name MIME headers with download
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-31
         feature additions from Alex Borges
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-30
         patch to hook_notifywindow, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-29
         added debugging output to utf7 en/decode, verified working as per RFC
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-28
         patch to attach_file to show file size, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-27
         validate UWash namespace does not contain "bad" stuff
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-26
         fix mail svc_nextmatches to work with the redirect replacement
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-25
         made generalized make new env functions in boaction for public use
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-24
         expande no-redirect, handle curley braces, increase big threshhold to 95
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-23
         post-multi-delete redirect replaced with a direct object call
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-22
         add docs, fix comment in index tpl file
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-21
         added docs for move, delete, and expunge functions. DOCS ONLY.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-20
         fix append to sent items folder
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-19
         migrate to "industrial_interacct_mail_move", track what needs expunging, only expunge when done
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-18
         bugfixs for extreme caching being on or off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-17
         wrap all new "extreme" caching in conditionals so it can be turned off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-16
         add function to clear all "extreme" cache items, and not be "extreme" for big moves
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-15
         fix moves, deleted, and expunging in extreme caching mode
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-14
         first try at no logins unless absolutely necessary
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-13
         folder stats now cached and assumed valid for X time, events keep it current
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-12
         implement "extreme" cache management with option in not using it
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-11
         Skeleton code for recycling on msgball_list cache
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-10
         First code for "events" triggers used to alter cached data.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-9
         added docs for caching
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-8
         fix non-contiguous Received filter b0rk, decode rfc headers can handle multiline now
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-7
         expire single "phpgw_header" element for unseen message we are going to view
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-6
         Added phpgw_header data to appsession cache
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-5
         sleep 1 sec in end_request, phpgw_fetchstructure data now cached in appsession
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-4
         better detection of "bad" attachments, make compose box 78 chars wide
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-3
         Addressbook fix by dave.hall@mbox.com.au, more work on IMAP sockets class
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-30
         patch to hook_notifywindow, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-31
         feature additions from Alex Borges
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-32
         fix decode rfc2047 encoded attachment name MIME headers with download
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-33
         update email lang files from Savannah CVS sources
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-34
         better RH login "recovering" message, and always try that recovery
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-35
         prep_folder_in checks for UWash foldername of "bare slash"
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-37
         fix for php v4.2 and greater Superglobals issue
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-2
         fix view as html as reference, give basic warnings for nefarious parts
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-20
         fix append to sent items folder
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-21
         added docs for move, delete, and expunge functions. DOCS ONLY.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-22
         add docs, fix comment in index tpl file
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-23
         post-multi-delete redirect replaced with a direct object call
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-24
         expande no-redirect, handle curley braces, increase big threshhold to 95
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-25
         made generalized make new env functions in boaction for public use
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-26
         fix mail svc_nextmatches to work with the redirect replacement
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-27
         validate UWash namespace does not contain "bad" stuff
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-28
         patch to attach_file to show file size, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-29
         added debugging output to utf7 en/decode, verified working as per RFC
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-1
         first commit to codehere, add docs and alias decode headers to a better function
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-10
         First code for "events" triggers used to alter cached data.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-11
         Skeleton code for recycling on msgball_list cache
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-12
         implement "extreme" cache management with option in not using it
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-13
         folder stats now cached and assumed valid for X time, events keep it current
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-14
         first try at no logins unless absolutely necessary
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-15
         fix moves, deleted, and expunging in extreme caching mode
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-16
         add function to clear all "extreme" cache items, and not be "extreme" for big moves
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-17
         wrap all new "extreme" caching in conditionals so it can be turned off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-18
         bugfixs for extreme caching being on or off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-19
         migrate to "industrial_interacct_mail_move", track what needs expunging, only expunge when done
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--base-0
         first tree FROM anglemail core 1.1 FOR coding new stuff, merge back when ready
    
      * angles@aminvestments.com--2002/anglemail--core--1.1--base-0
         first tree for anglemail version 1.1, this is the core, base branch for 1.1
    

    new files:
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-37

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1 attach_file.php
     inc/class.bofilters.inc.php inc/class.bopreferences.inc.php
     inc/class.bosend.inc.php inc/class.mail_msg_base.inc.php
     inc/class.mail_msg_wrappers.inc.php inc/class.spell.inc.php
     inc/class.svc_nextmatches.inc.php
     inc/class.ui_mail_debug.inc.php inc/class.uimessage.inc.php
     inc/class.uipreferences.inc.php

    new patches:
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-37


2002-09-14 GMT	Angles Puglisi <angles@aminvestments.com>	patch-2

    Summary:
      OOPS, that update style copy missed these lex files
    Revision:
      anglemail--lex--1.1--patch-2

    OOPS, that update style copy missed these lex files. This 
    commit completes putting all of the lex changed files from 
    his tarball into arch tree.
    

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.lex--1.1 addressbook.php
     attach_file.php inc/class.boaction.inc.php
     inc/class.bocompose.inc.php inc/class.ui_mail_debug.inc.php
     templates/default/addressbook.tpl
     templates/default/attach_file_blocks.tpl
     templates/default/compose.tpl


2002-09-14 GMT	Angles Puglisi <angles@aminvestments.com>	patch-1

    Summary:
      commit lex code 020913 "adressbook beta2"
    Revision:
      anglemail--lex--1.1--patch-1

    commit lex code 020913 "adressbook beta2". Code came 
    from lex tarball, unpacked, then copied "update only" style 
    to the arch tree, then committed (doing now).
    

    new files:
     ChangeLog.lex--1.1 addressbook-chnagelog.txt
     addressbook-js.php inc/selectboxes.js
     templates/default/addressbook-js-bits.tpl
     templates/default/addressbook-js.tpl

    modified files:
     ChangeLog.codehere--1.1


2002-09-14 GMT	Angles Puglisi <angles@aminvestments.com>	base-0

    Summary:
      make continuation branch for anglemail-lex
    Revision:
      anglemail--lex--1.1--base-0

    branched from angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-35
    
    That was the source branch and latest revision for this new branch. This is 
    a "continuation" branch. Purpose is an anglemail branch for lex's code, so 
    a tarball can be dumped here and committed as new revision for anglemail-lex.
    
    Then merging is possible between the branches (hopefully). This is to simplify 
    maintenance of tracking various trees of anglemail and merging them.
    

    modified files:
     ChangeLog.codehere--1.1

    new directories:
     {arch}/anglemail/anglemail--lex
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002
     {arch}/anglemail/anglemail--lex/anglemail--lex--1.1/angles@aminvestments.com--2002/patch-log


